#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include "procmon_info.h"
#define SIZE 1024*1024*256
#define NUM_BUFS 1024
int main()
{
  char *buf;
  int i;
  long long heap_size;
  char place[5];
  for( i = 1; i < NUM_BUFS; i++ )
    {
      sprintf( place, "%3d", i );
      PROCMON_info_get_print( place, 0 );
      buf = (char*)malloc(SIZE);
      if( ! buf )
        {
          return( 0 );
        }
      /* memset( buf, 0, SIZE ); */
      PROCMON_info_get_print( place, 1 );
      heap_size = SIZE * i;
      printf( "Heap Size: %15llu\n", heap_size );
    }
  return( 0 );
}
