#include "procmon_info.h"
#include <stdio.h>
#define SECONDS 10
int main(
         int argc,
         char **argv
         )
{
  struct timespec
    timespec_info; /* from clock_gettime */
  double
    time_absolute, /* absolute time */
    time_now, /* current time in secs */
    time_start; /* start time in secs for the interval */
  fork();
  PROCMON_rld_reset();
  clock_gettime( CLOCK_REALTIME, &timespec_info );
  time_absolute = timespec_info.tv_sec + timespec_info.tv_nsec/1000000000.0;
  time_start = time_absolute;
  time_now = time_absolute;
  while( time_now - time_absolute < SECONDS )
    {
      clock_gettime( CLOCK_REALTIME, &timespec_info );
      time_now = timespec_info.tv_sec + timespec_info.tv_nsec/1000000000.0;
    }
  return( 0 );
}
