#!/bin/tcsh -f
#
# Purpose: csh script sets up printing of process info after command executes.
#          Options obtained by doing a man on tcsh (or csh)
#
# Usage:
#   on:  source ./time.csh
#   off: unset time
#
set time=(0 '\
=============================================================================\
Time(Sec):  User=%U System=%S Elapsed=%E Percent[(U+S)/E]=%P\
Memory(KB): Max=%M\
IO(blocks): Read=%I Write=%O\
Overhead:   Faults=%F Swapped=%W\
=============================================================================\
')
